# MapGIS Client for JavaScript API

Cesium MapboxGL Leaflet OpenLayers
API文档

    import { defaultValue } from '../../../../util'
    import { Color } from '../../../../base'

    /**
     * 颜色分段
     * @class ColorStop
     * @moduleEX BaseModule
     * @param {Object} options 初始化参数
     * @param {Color|Object|String} [options.color] 颜色
     * @param {Number} [options.value] 数值
     */
    class ColorStop {
      constructor(options) {
        options = defaultValue(options, {})
        /**
         * 颜色
         * @member {Color|Object|String} ColorStop.prototype.color
         */
        this.color = Color.fromColor(defaultValue(options.color, {}))
        /**
         * 数值
         * @member {Number} ColorStop.prototype.value
         */
        this.value = options.value
      }

      /**
       * 通过json构造ColorStop对象
       * @return {ColorStop} json对象
       * */
      static fromJSON(json) {
        return new ColorStop(json)
      }

      /**
       * 导出为json对象
       * @return {Object} json对象
       * */
      toJSON() {
        const json = {}
        json.color = this.color.toJSON()
        json.value = this.value
        return json
      }

      /**
       * 克隆对象
       * @return {ColorStop} 克隆后的ColorStop对象
       */
      clone() {
        return new ColorStop(this.toJSON())
      }
    }

    export default ColorStop

构造函数
成员变量
方法
事件